Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707196 - x11-misc/wayv-0.3-r2 : fails to build with -fno-common or gcc-10
Summary: x11-misc/wayv-0.3-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-29 17:58 UTC by Toralf Förster
Modified: 2020-01-30 10:30 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.70 KB, text/plain)
2020-01-29 17:58 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,52.13 KB, text/plain)
2020-01-29 17:58 UTC, Toralf Förster
Details
environment (environment,40.53 KB, text/plain)
2020-01-29 17:58 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.99 KB, application/x-bzip)
2020-01-29 17:59 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,1.86 KB, application/x-bzip)
2020-01-29 17:59 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,11.90 KB, application/x-bzip)
2020-01-29 17:59 UTC, Toralf Förster
Details
x11-misc:wayv-0.3-r2:20200129-043036.log (x11-misc:wayv-0.3-r2:20200129-043036.log,6.22 KB, text/plain)
2020-01-29 17:59 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-29 17:58:49 UTC
  230 |   if((strlen(temp) + strlen(setup)) < SETUPSIZE)
      |       ^~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I..     -O2 -pipe -march=native -fno-common -DSETUPPATH=\"/etc/wayv\" -c misc.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -DSETUPPATH=\"/etc/wayv\" -Wl,-O1 -Wl,--as-needed -o wayv -I -L/usr/lib64 ai.o aimath.o backend.o display.o gesture.o process.o setup.o misc.o -L/usr/lib64 -lX11 -lXtst 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: process.o:(.bss+0x0): multiple definition of `child'; backend.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma_systemd-20200127-214345

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 03:06:23 +0000

emerge -qpvO x11-misc/wayv
[ebuild  N    ] x11-misc/wayv-0.3-r2
Comment 1 Toralf Förster gentoo-dev 2020-01-29 17:58:52 UTC
Created attachment 607828 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 17:58:55 UTC
Created attachment 607830 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-29 17:58:57 UTC
Created attachment 607832 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-29 17:59:00 UTC
Created attachment 607834 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-29 17:59:03 UTC
Created attachment 607836 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-29 17:59:06 UTC
Created attachment 607838 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-29 17:59:08 UTC
Created attachment 607840 [details]
x11-misc:wayv-0.3-r2:20200129-043036.log
Comment 8 Larry the Git Cow gentoo-dev 2020-01-30 10:30:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f79a3ff9bf5e7b2297fb5e06eb9fd784e3415f7b

commit f79a3ff9bf5e7b2297fb5e06eb9fd784e3415f7b
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-30 10:03:46 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-30 10:30:26 +0000

    x11-misc/wayv: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707196
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 x11-misc/wayv/files/wayv-0.3-autoconf.patch   | 13 +++++++++
 x11-misc/wayv/files/wayv-0.3-flags.patch      | 10 +++++++
 x11-misc/wayv/files/wayv-0.3-fno-common.patch | 21 +++++++++++++++
 x11-misc/wayv/wayv-0.3-r3.ebuild              | 39 +++++++++++++++++++++++++++
 4 files changed, 83 insertions(+)